### Class

# Ggit DiffFindOptions

#### Description [src]

    class Ggit.DiffFindOptions : GObject.Object
    {
      /* No available fields */
    }

Represents options for finding diff similarity.

#### Ancestors

- GObject

#### Constructors

###### ggit_diff_find_options_new

Creates a new `GgitDiffFindOptions`.

#### Instance methods

###### ggit_diff_find_options_get_copy_threshold

Get the find options copy threshold.

###### ggit_diff_find_options_get_flags

Get the find options flags.

###### ggit_diff_find_options_get_metric

Get the find options metric.

###### ggit_diff_find_options_get_rename_from_rewrite_threshold

Get the find options rename from rewrite threshold.

###### ggit_diff_find_options_get_rename_limit

Get the find options rename limit.

###### ggit_diff_find_options_get_rename_threshold

Get the find options rename threshold.

###### ggit_diff_find_options_set_copy_threshold

Set the find options copy threshold.

###### ggit_diff_find_options_set_flags

Set the find options flags.

###### ggit_diff_find_options_set_metric

Set the find options metric.

###### ggit_diff_find_options_set_rename_from_rewrite_threshold

Set the find options rename from rewrite threshold.

###### ggit_diff_find_options_set_rename_limit

Set the find options rename limit.

###### ggit_diff_find_options_set_rename_threshold

Set the find options rename threshold.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.DiffFindOptions:copy-threshold

No description available.

###### Ggit.DiffFindOptions:flags

The diff option flags.

###### Ggit.DiffFindOptions:metric

No description available.

###### Ggit.DiffFindOptions:rename-from-rewrite-threshold

No description available.

###### Ggit.DiffFindOptions:rename-limit

No description available.

###### Ggit.DiffFindOptions:rename-threshold

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitDiffFindOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.